frogr - A Flickr Remote Organizer for GNOME
-------------------------------------------

frogr intends to be a complete GNOME application to remotely manage a
flickr account from the desktop.

To get the source, please checkout the git repository at gnome.org:

    git clone https://gitlab.gnome.org/GNOME/frogr.git

To be able to build frogr, you'll need some tools and libraries:

 - meson, ninja and a C compiler (e.g. gcc, clang)
 - glib (version 2.44 or higher)
 - gtk+ (version 3.16 or higher)
 - json-glib (version 1.2 or higher)
 - libexif (version 0.6.14 or higher)
 - libsoup (version 2.34 or higher)
 - libxml (version 2.6.8 or higher)
 - gstreamer (version 0.10 or 1.0)
 - gcrypt (version 1.5 or higher)

-------------------------------------------

Website: https://wiki.gnome.org/Apps/Frogr

Source: https://gitlab.gnome.org/GNOME/frogr.git

Mailing list: http://mail.gnome.org/mailman/listinfo/frogr-list

-------------------------------------------

frogr is Copyright (c) 2009-2020 Mario Sanchez Prada

https://wiki.gnome.org/Apps/Frogr

See AUTHORS file for details on authors

frogr is Free Software: you can redistribute it and/or modify it
under the terms of the GNU General Public License version 3 as
published by the Free Software Foundation.

frogr is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the COPYING file for more details.

-------------------------------------------

frogr's Flickr API implementation (we call it "flicksoup", located
under src/flicksoup) is Copyright (c) 2010-2017 Mario Sanchez Prada

Flicksoup is Free Software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License version 3 as
published by the Free Software Foundation.

Flicksoup is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the src/flicksoup/COPYING file for more details.

Note: we distribute the flicksoup files under LGPLv3 instead of GPLv3,
as it happens with the rest of the files in the project, because the
idea is to release it at some point as a library independent from
frogr. However, at the point flicksoup is in an early stage of
development, entirely driven by frogr's needs, so it makes sense to
keep it as part of the project for the time being.

-------------------------------------------

Implementation of the get_gps_coordinate () function inside of the
FrogrPictureLoader taken from tracker, licensed under the GNU Lesser
General Public License Version 2.1 (Copyright 2009, Nokia Corp.)

-------------------------------------------

Implementation of the functions extract_accels_from_menu() and
extract_accel_from_menu_item () inside of frogr-main-view.c taken from
GTK+, licensed under the GNU Lesser General Public License Version 2+
(Copyright 2010, Codethink Ltd and 2013, Canonical Ltd.)

-------------------------------------------


